--
-- Animacja pasow
-- Animacja ktora wprawia w ruch pasy, gdy jest aktywna komenda [self.isTurnedOn/self.isEntered/self.isMotorStarted].
-- Autor - Grzegorz056                Date:17.05.2011r. in LS 11
-- Farming Simulator 2013 - Dawider   Date:01.07.2013r. in FS 13
-- Farming Simulator 2017 - User B4D  Date:12.11.2016r. in FS 17
--
 
anim_pasy = {};
 
function anim_pasy.prerequisitesPresent(specializations)
    return true
end;
 
function anim_pasy:load(savegame)
       
        self.animpasy = {};
    local i = 0;
    while true do
        local key = string.format("vehicle.animpasy.anim_pasow(%d)", i);
 
        if not hasXMLProperty(self.xmlFile, key) then
            break;
        end;
 
        local node = Utils.indexToObject(self.components, getXMLString(self.xmlFile, key.."#index"));
        local speed = Utils.getVectorNFromString(getXMLString(self.xmlFile, key.."#speed"), 2);
        if node ~= nil and speed then
            table.insert(self.animpasy, {node=node, speed=speed});
        end;
            i = i +1;
    end;
---
 self.ScrollParts = Utils.loadScrollers(self.components, self.xmlFile, "vehicle.Paski.Pasek", {}, false);
---
       
end;
 
function anim_pasy:delete()
end;
 
function anim_pasy:mouseEvent(posX, posY, isDown, isUp, button)
end;
 
function anim_pasy:keyEvent(unicode, sym, modifier, isDown)
end;
 
function anim_pasy:update(dt)
    if self:getIsActive() then
            if self.isMotorStarted then
                for _, part in pairs(self.animpasy) do
                setShaderParameter(part.node, "offsetUV", part.speed[1]*dt, part.speed[2]*dt, 0, 0, false);
                end;  
            elseif not self.isMotorStarted then
                for _, part in pairs(self.animpasy) do
                setShaderParameter(part.node, "offsetUV", 0, 0, 0, 0, false);
                end;  
        end;  
    end;
  if self.isClient then
        Utils.updateScrollers(self.ScrollParts, dt, self.isMotorStarted);
    end;  
end;
 
function anim_pasy:onLeave()
end;
 
function anim_pasy:onEnter()
end;
 
function anim_pasy:onDeactivate()
end;
 
function anim_pasy:draw()
end;